Package org.gradle.api.credentials

# Interface AwsCredentials

All Superinterfaces:
  `Credentials`

public interface AwsCredentials extends Credentials
Represents credentials used to authenticate with Amazon Web Services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getAccessKey()`
  Returns the access key to use to authenticate with AWS.
  `@Nullable String`
  `getSecretKey()`
  Returns the secret key to use to authenticate with AWS.
  `@Nullable String`
  `getSessionToken()`
  Returns the secret key to use to authenticate with AWS.
  `void`
  `setAccessKey(@Nullable String accessKey)`
  Sets the access key to use to authenticate with AWS.
  `void`
  `setSecretKey(@Nullable String secretKey)`
  Sets the secret key to use to authenticate with AWS.
  `void`
  `setSessionToken(@Nullable String token)`
  Sets the secret key to use to authenticate with AWS.

- ## Method Details

  - ### getAccessKey

    @Nullable String getAccessKey()
    Returns the access key to use to authenticate with AWS.

  - ### setAccessKey

    void setAccessKey(@Nullable String accessKey)
    Sets the access key to use to authenticate with AWS.

  - ### getSecretKey

    @Nullable String getSecretKey()
    Returns the secret key to use to authenticate with AWS.

  - ### setSecretKey

    void setSecretKey(@Nullable String secretKey)
    Sets the secret key to use to authenticate with AWS.

  - ### getSessionToken

    @Nullable String getSessionToken()
    Returns the secret key to use to authenticate with AWS.
    Since:
      3.3

  - ### setSessionToken

    void setSessionToken(@Nullable String token)
    Sets the secret key to use to authenticate with AWS.
    Since:
      3.3